<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Interfaz EDI/WMS - RECIBOS</title>
</head>

<body>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP
	
///************************************************ INICIA REGISTRO NUEVO	************************************************///
///========================================================================================================================///	

ini_set('max_execution_time', 9999);	
	
///Conexión a BD Remota
$con_CLO= mysql_connect("52.20.207.221","WebReportDextra","a1r2v7R#");
mysql_select_db("Dextra_WebReport", $con_CLO);	

///eliminar Registros Previos
$sql_EC= "Delete from tabla_inventario_cloud";
$resultado_EC=mysql_query($sql_EC,$con_CLO) or die(mysql_error());	

$HoraIni=time();
$HoraIniOK=date("H:i:s",$HoraIni);
echo "La hora inicial del proceso es:" . $HoraIniOK . " hrs";
	
///Conexión a BD Local
$con_LOC= mysql_connect("192.168.1.170","NotificaEDI","@cc3s0_2021");
mysql_select_db("wms_dextramul", $con_LOC);
	
///Inicia While 1
$sql_w1=mysql_query("SELECT DISTINCT(SKU) As CodSku,(EDO_CALIDAD) As EdoCal, CVE_CUENTA As CveCta FROM `vista_inventario_wr` WHERE `CVE_CUENTA`='27' or `CVE_CUENTA`='39' or `CVE_CUENTA`='42' Order By CVE_CUENTA, SKU");
while($res_w1=mysql_fetch_array($sql_w1))
///while($res_w1==mysql_fetch_array($sql_w1,$con_CLO) or die(mysql_error()))
{///Inicia While
	
$CodSku_w1 = $res_w1['CodSku'];
$EdoCal_w1 = $res_w1['EdoCal'];
$CveCta_w1 = $res_w1['CveCta'];

	
	///Consultar Datos de Codigo	
	$sql_C1 = mysql_query("select SKU_ALT,DESCRIPCION,FAMILIA from tabla_altaproducto where SKU='$CodSku_w1' and CUENTA='$CveCta_w1'");
	if (mysql_numrows($sql_C1)==0) echo "";
	else{
	$registro_C1=mysql_fetch_array($sql_C1);
	}
	if (mysql_numrows($sql_C1)>0)
	{
	$SkuAlt_C1=$registro_C1["SKU_ALT"];	
	$Descri_C1=$registro_C1["DESCRIPCION"];	
	$Famili_C1=$registro_C1["FAMILIA"];	
	}
	
	///Consulta que suma el total de Piezas Por Sku
	$sqlSUMA = "SELECT SUM(CANTIDAD) as ObtCant FROM vista_inventario_wr WHERE SKU='$CodSku_w1' and EDO_CALIDAD='$EdoCal_w1' and CVE_CUENTA='$CveCta_w1'";
	$resSUMA = mysql_query($sqlSUMA); 
	$PrePiezas = mysql_fetch_assoc($resSUMA);
	$TotPiezas = (int)$PrePiezas ['ObtCant']; 
	
	///Hora y Fecha
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$Fecha=date("Y/m/d");
	
	///Conexión a BD Remota
	$con_CLO= mysql_connect("52.20.207.221","WebReportDextra","a1r2v7R#");
	mysql_select_db("Dextra_WebReport", $con_CLO);	
			
	///Insertar en BD Cloud
	$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario_cloud"; 
	$lib = mysql_query($sqlID); 
	$rs_lib = mysql_fetch_assoc($lib); 
	$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
	
	$sql_GC = "insert into tabla_inventario_cloud (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,CAN_APARTADA,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN,OBERVACIONES)
	values('$id_nuevo','1','$CveCta_w1','-','-','$CodSku_w1','$SkuAlt_C1','$Descri_C1','-','$TotPiezas','-','-','-','-','-','-','-','-','-','-','-','-','-','$EdoCal_w1','-','-','$HoraOK','$Fecha','-','$Famili_C1')";
	$resultado_GC=mysql_query($sql_GC,$con_CLO) or die(mysql_error());	
	
	
	///Limpiar Variables
	$Var01 = "";
	$CodSku_w1 = "";
	$EdoCal_w1 = "";
	$CveCta_w1 = "";
	$SkuAlt_C1 = "";
	$Descri_C1 = "";
	$Famili_C1 = "";
	$TotPiezas = "";
	$id_nuevo = "";

///Conexión a BD Local
$con_LOC= mysql_connect("192.168.1.170","NotificaEDI","@cc3s0_2021");
mysql_select_db("wms_dextramul", $con_LOC);
	
}///Termina While
	
$HoraFin=time();
$HoraFinOK=date("H:i:s",$HoraFin);
echo "<Br><Br>La hora final del proceso es:" . $HoraFinOK . " hrs";	

	
///echo "<script>alert('Información Enviada Correctamente.');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='2; URL=WindowsClose.php'>";


?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->
	
</body>
</html>